Jump to content

Photo

(MaxOSX) Fail to find full path of BG EE folder


4 replies to this topic

#1 arkhos94

arkhos94
  • Members
  • 8 posts

Posted 15 September 2018 - 02:16 AM

I'm trying to install BG Trilogy.

 

I have installed BG EE (with dragonspear the BG1 NPC project) on my applications folders

 

I have installed BG II EE (also in my application folder)

 

Both BG are the latest version from GoG

 

I put the Trilogy files in my ressource BGII folder then start "setup-EET.command"

 

After choosing language and starting installation I'm asked "Enter the full path to your BG:EE+SoD installation then press Enter"

 

I tried every possible path :

/Applications/Baldur\'s\ Gate\ Enhanced\ Edition.app (given my sliding the BG app in the console)

/Applications/Baldur's Gate Enhanced Edition.app

/Applications/

/Applications

I even tried /Applications/Baldur\'s\ Gate\ Enhanced\ Edition.app/Contents/Resources

 

 

None work. I always receive the "Invalid directory, or incorrect BG:EE+SoD installation." message.

 

I tried the same without dragonspear but the result was the same.

 

I imagine it could because I haven't run modmerge but I can't find how to make it work (all I get when I unzip modmerge is a file named "modmerge-osx" that OSX recognize as a text file)

 

Can someone help me ?


Edited by arkhos94, 15 September 2018 - 02:52 AM.


#2 subtledoctor

subtledoctor
  • Modders
  • 2734 posts
  • Gender:Male

Posted 15 September 2018 - 03:45 AM

Find the game directory for SoD. Check the Beamdog forum macOS modding thread if you need help with that. (It's the folder that contains chitin.key.)

Grab your /data folder from the game directory, and drag it into the Terminal window when it asks you for the path. Then just delete the last 5 characters ("/data") and hit enter.

That should do it.

Faiths & Powers: Spell spheres and kit pack for priests and paladins
Might & Guile: Tweaks and kits for warriors and rogues
Scales of Balance: Game tweaks and rule overhauls
NPC_EE: More options for NPCs in BGEE, SoD, & BG2EE


#3 arkhos94

arkhos94
  • Members
  • 8 posts

Posted 15 September 2018 - 04:36 AM

Find the game directory for SoD. Check the Beamdog forum macOS modding thread if you need help with that. (It's the folder that contains chitin.key.)

Grab your /data folder from the game directory, and drag it into the Terminal window when it asks you for the path. Then just delete the last 5 characters ("/data") and hit enter.

That should do it.

 

I tried this and it give me the same result ("Invalid directory, or incorrect BG:EE+SoD installation.")

 

To be sure, I tried :

/Applications/Baldur\'s\ Gate\ Enhanced\ Edition.app/Contents/Resources/data

/Applications/Baldur\'s\ Gate\ Enhanced\ Edition.app/Contents/Resources/

/Applications/Baldur\'s\ Gate\ Enhanced\ Edition.app/Contents/Resources



#4 subtledoctor

subtledoctor
  • Modders
  • 2734 posts
  • Gender:Male

Posted 15 September 2018 - 07:03 PM

Did you run Modmerge first?  That might be your problem.  SoD from GOG or Steam means, you need to run modmerge before doing any modding.  Or else maybe that new DLC builder tool instead.  I forget what current best practice is.

 

If you have Modmerged and it really is a path issue, just move your game folder onto your desktop, or the root directory or something, and give EET that path?  And then move it back after EET installs.


Edited by subtledoctor, 15 September 2018 - 07:04 PM.

Faiths & Powers: Spell spheres and kit pack for priests and paladins
Might & Guile: Tweaks and kits for warriors and rogues
Scales of Balance: Game tweaks and rule overhauls
NPC_EE: More options for NPCs in BGEE, SoD, & BG2EE


#5 AstroBryGuy

AstroBryGuy

    Mod Tinker

  • Gibberlings
  • 596 posts
  • Gender:Male
  • Location:Savoy, Illinois, USA

Posted 23 September 2018 - 09:16 PM

The modmerge archive distributes the modmerge binary for macOS without the execute bit set. 

 

I'd recommend using DLC Merger instead of modmerge.

 

You can download the latest version here: https://github.com/A...releases/latest

 

You need to run DLC Merger (or modmerge) *before* installing any other mods, including mods for BGEE.

 

Also, BG1NPC Project is not yet fully compatible with BGEE v2.5. Do not install the "Open Cloakwood" components. It will screw up your game.





Reply to this topic



  


0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users